var react = require('react');

var useComponentDidMount = function useComponentDidMount(cb) {
  react.useEffect(function () {
    cb();
  }, []);
};

function useComponentDidUpdate(cb, nextProps) {
  var didMount = react.useRef(false);
  var prevProps = react.useRef(nextProps);
  react.useEffect(function () {
    if (didMount.current) {
      cb(prevProps.current);
      prevProps.current = nextProps;
    } else {
      didMount.current = true;
    }
  });
}

var useComponentWillUnmount = function useComponentWillUnmount(cb) {
  react.useEffect(function () {
    return cb;
  }, []);
};

exports.useComponentDidMount = useComponentDidMount;
exports.useComponentDidUpdate = useComponentDidUpdate;
exports.useComponentWillUnmount = useComponentWillUnmount;
//# sourceMappingURL=index.js.map
