import { useEffect, useRef } from 'react';

var useComponentDidMount = function useComponentDidMount(cb) {
  useEffect(function () {
    cb();
  }, []);
};

function useComponentDidUpdate(cb, nextProps) {
  var didMount = useRef(false);
  var prevProps = useRef(nextProps);
  useEffect(function () {
    if (didMount.current) {
      cb(prevProps.current);
      prevProps.current = nextProps;
    } else {
      didMount.current = true;
    }
  });
}

var useComponentWillUnmount = function useComponentWillUnmount(cb) {
  useEffect(function () {
    return cb;
  }, []);
};

export { useComponentDidMount, useComponentDidUpdate, useComponentWillUnmount };
//# sourceMappingURL=index.modern.js.map
